org.apache.solr.common.params

## Interface MoreLikeThisParams

-     public interface MoreLikeThisParams

  Since:
    solr 1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MoreLikeThisParams.TermStyle`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOOST`
    `static int` | `DEFAULT_DOC_COUNT`
    `static String` | `DOC_COUNT`
    `static String` | `INTERESTING_TERMS`
    `static String` | `MATCH_INCLUDE`
    `static String` | `MATCH_OFFSET`
    `static String` | `MAX_DOC_FREQ`
    `static String` | `MAX_NUM_TOKENS_PARSED`
    `static String` | `MAX_QUERY_TERMS`
    `static String` | `MAX_WORD_LEN`
    `static String` | `MIN_DOC_FREQ`
    `static String` | `MIN_TERM_FREQ`
    `static String` | `MIN_WORD_LEN`
    `static String` | `MLT`
    `static String` | `PREFIX`
    `static String` | `QF`
    `static String` | `SIMILARITY_FIELDS`

- - ### Field Detail

    - #### MLT

          static final String MLT

      See Also:
        Constant Field Values

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### SIMILARITY_FIELDS

          static final String SIMILARITY_FIELDS

      See Also:
        Constant Field Values

    - #### MIN_TERM_FREQ

          static final String MIN_TERM_FREQ

      See Also:
        Constant Field Values

    - #### MAX_DOC_FREQ

          static final String MAX_DOC_FREQ

      See Also:
        Constant Field Values

    - #### MIN_DOC_FREQ

          static final String MIN_DOC_FREQ

      See Also:
        Constant Field Values

    - #### MIN_WORD_LEN

          static final String MIN_WORD_LEN

      See Also:
        Constant Field Values

    - #### MAX_WORD_LEN

          static final String MAX_WORD_LEN

      See Also:
        Constant Field Values

    - #### MAX_QUERY_TERMS

          static final String MAX_QUERY_TERMS

      See Also:
        Constant Field Values

    - #### MAX_NUM_TOKENS_PARSED

          static final String MAX_NUM_TOKENS_PARSED

      See Also:
        Constant Field Values

    - #### BOOST

          static final String BOOST

      See Also:
        Constant Field Values

    - #### QF

          static final String QF

      See Also:
        Constant Field Values

    - #### DOC_COUNT

          static final String DOC_COUNT

      See Also:
        Constant Field Values

    - #### MATCH_INCLUDE

          static final String MATCH_INCLUDE

      See Also:
        Constant Field Values

    - #### MATCH_OFFSET

          static final String MATCH_OFFSET

      See Also:
        Constant Field Values

    - #### INTERESTING_TERMS

          static final String INTERESTING_TERMS

      See Also:
        Constant Field Values

    - #### DEFAULT_DOC_COUNT

          static final int DEFAULT_DOC_COUNT

      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.